<?php
/*
Plugin Name: Elya SMS
Plugin URI: http://wordpress.org/extend/plugins/elya-sms/
Description: Elya SMS.
Author: Loïc PIQUARD
Version: 0.2
Author URI: http://www.elyazalee.com/
*/

if ( is_admin() && ( !defined( 'DOING_AJAX' ) || !DOING_AJAX )) 
	{
	add_action('admin_menu', 'elyasms_voir_options');	
	
	function elyasms_voir_options() 
		{		
		// ajout des options		
		add_option('elya_client', '');		
		add_option('elya_expediteur', '');
		add_option('elya_clef', '');
		// creation menu
		add_menu_page('Elya SMS', 'Elya SMS', 'manage_options', 'elya-sms-general', 'elya_sms_options');
		add_submenu_page('elya-sms-general', 'Bases de données', 'Bases de données','manage_options', 'elya_sms_menu_cat', 'elya_sms_categorie');
		add_submenu_page('elya-sms-general', 'Numéros', 'Numéros','manage_options', 'elya_sms_menu_ajout', 'elya_sms_ajout');
		add_submenu_page('elya-sms-general', 'Messages', 'Messages','manage_options', 'elya_sms_ajoutmsg', 'elya_sms_ajoutmsg');
		add_submenu_page('elya-sms-general', 'Envoyer', 'Envoyer','manage_options', 'elya_sms_menu_sent', 'elya_sms_sent');
		
		// tables		
		function create_table_wp () 
			{
			global $wpdb;
			// On construit le nom de la table avec le préfixe de WordPress
			$table_name = $wpdb->prefix . "elya_sms_categories";
			$table_name2 = $wpdb->prefix . "elya_sms_numeros";
			$table_name3 = $wpdb->prefix . "elya_sms_messages";
			$table_name4 = $wpdb->prefix . "elya_sms_historique";
			// On teste la présence de la table
			if($wpdb->get_var("show tables like '$table_name'") != $table_name) 
				{
				// On construit la requête SQL avec le nom de la table
				$sql = "
						
						CREATE TABLE  " . $table_name . " (
						`id_categorie` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
						`titre_categorie` TINYTEXT NOT NULL ,
						`description_categorie` TEXT NOT NULL ,
						`ordre_categorie` INT NOT NULL ,
						INDEX (  `ordre_categorie` )
						) ENGINE = MYISAM ;
						";
						
						// On crée la seconde table
				$sql2 = "
						CREATE TABLE  " . $table_name2 . " (
						`id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
						`base` INT NOT NULL ,
						`numero` TINYTEXT NOT NULL ,
						INDEX (  `base` )
						) ENGINE = MYISAM ;
						";	
						// et la troisieme... 
				$sql3 = "
						CREATE TABLE  " . $table_name3 . "  (
						`id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,						
						`message` TINYTEXT NOT NULL
						) ENGINE = MYISAM ;
						";	
						// bon et une quatrième...	c'est gratuit... alors on profite...					
				$sql4 = "
					CREATE TABLE  " . $table_name4 . "  (
					`id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
					`id_message` INT NOT NULL ,
					`id_base` INT NOT NULL ,
					`date` DATETIME NOT NULL ,
					`nombre` INT NOT NULL,
					INDEX (  `id_message` ,  `id_base` )
					) ENGINE = MYISAM ;
					";
						
						// On inclut une librairie de WordPress contenant la fonction dbDelta.
						//La librairie n'est pas lancée depuis la partie client, raison pour laquelle
						//on prend cette précaution.
						require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
						// On exécute la requête SQL.
						dbDelta($sql);
						dbDelta($sql2);
						dbDelta($sql3);
						dbDelta($sql4);
				}
				
	
			}
		
		create_table_wp();

		}


	function elya_sms_options()
		{
		include_once dirname( __FILE__ ) . '/elya-sms-options.php';
		}
		
	function elya_sms_categorie()
		{
		include_once dirname( __FILE__ ) . '/elya-sms-categorie.php';		
		}
		
	function elya_sms_ajout()
		{
		include_once dirname ( __FILE__) . '/elya-sms-ajout.php';			
		}
	function elya_sms_ajoutmsg()
		{
		include_once dirname ( __FILE__) . '/elya-sms-ajoutmsg.php';			
		}
	function elya_sms_sent()
		{
		include_once dirname( __FILE__ ) . '/elya-sms-sent.php';
		}
	}

?>